Skip to main content
GET
/
limits
cURL
curl "https://api.arkhq.io/v1/limits" \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "success": true,
  "data": {
    "rateLimit": {
      "limit": 10,
      "remaining": 8,
      "reset": 1705312260,
      "period": "second"
    },
    "sendLimit": {
      "limit": 100,
      "used": 42,
      "remaining": 58,
      "usagePercent": 42,
      "approaching": false,
      "exceeded": false,
      "period": "hour",
      "resetsAt": "2024-01-15T11:00:00.000Z"
    },
    "billing": {
      "creditBalance": "25.50",
      "creditBalanceCents": 2550,
      "autoRecharge": {
        "enabled": true,
        "threshold": "5.00",
        "amount": "20.00"
      },
      "hasPaymentMethod": true
    }
  },
  "meta": {
    "requestId": "req_abc123xyz"
  }
}

Authorizations

Authorization
string
header
required

Use your API key from arkhq.io/org/credentials

Authorization: Bearer YOUR_API_KEY

Response

Account rate limits and send limits

Account rate limits and send limits response

success
boolean
required
data
object
required

Current usage and limit information

meta
object
required